## iotas 0.2.8%2Bds

=== requirements.txt ===
pygtkspellcheck
requests
markdown-it-py
linkify-it-py
mdit-py-plugins

## iotas 0.2.2+ds

=== debian/changelog ===
iotas (0.2.2+ds-1) unstable; urgency=medium

  * d/control: add missing dependencies on python modules (again)
    (Closes: #1043396)
  * debian: use katex packages instead of vendoring.
    Upstream vendors `katex`, but it is available as Debian packages which
    we should use those instead of relying on vendored copies.
    This involves the following changes:
    * repack the source code, excluding those unneeded files
    * patch the source to exclude those files from the app's resources
      (they're actually read from `<prefix>/share/iotas/` anyway)
    * add the relevant dependencies to the binary package
    * create symlinks under `/usr/share/iotas` pointing to the actual
      location of katex JS/CSS and fonts

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 10 Aug 2023 11:58:35 +0200

iotas (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: add missing dependencies on python modules
  * d/copyright: updated with files imported from katex

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 09 Aug 2023 17:20:42 +0200

iotas (0.2.1-1~exp1) experimental; urgency=medium

  * Initial Debian packaging (Closes: #1041610)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 25 Jul 2023 14:55:34 +0200

=== debian/control ===
Source: iotas
Section: gnome
Priority: optional
Maintainer: Arnaud Ferraris <aferraris@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream-util,
               desktop-file-utils,
               dh-sequence-python3,
               libadwaita-1-dev,
               libgirepository1.0-dev,
               libgtk-4-dev,
               meson,
               python3-all,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.gnome.org/cheywood/iotas
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/iotas
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/iotas.git

Package: iotas
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         fonts-katex,
         gir1.2-adw-1 (>= 1.3~),
         gir1.2-gtksource-5,
         gir1.2-secret-1,
         gir1.2-webkit-6.0,
         libjs-katex,
         python3-gi,
         python3-gtkspellcheck,
         python3-linkify-it,
         python3-markdown-it,
         python3-mdit-py-plugins,
         python3-requests,
Description: Simple mobile-friendly note-taking application
 Iotas is a simple note-taking app with mobile-first design and a focus on
 sync with a Nextcloud Notes.
 .
 It can be used offline, and optionally sync with Nextcloud when a connection
 is available. Iotas also provides advanced features such as basic search,
 categorization of notes, spell checking, Markdown editing and much more.

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
https://gitlab.gnome.org/cheywood/@PACKAGE@/-/tags?sort=updated_desc \
    .*/archive/\d\S+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## iotas 0.2.8+ds

=== debian/changelog ===
iotas (0.2.8+ds-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 04 Mar 2024 12:09:56 +0100

iotas (0.2.7+ds-1) unstable; urgency=medium

  * New upstream version
  * d/patches: restore spell checking feature
    `pygtkspellcheck` has been updated recently in Debian and is now
    compatible with `iotas`, so we can drop our patch removing this feature.
  * d/gbp.conf: add more useful default options
    * automatic changelog commit after successful `gbp import-orig`
    * default commit message for `gbp dch -c`
  * d/copyright: acknowledge renamed file.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 20 Jan 2024 12:42:37 +0100

iotas (0.2.6+ds-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 01 Nov 2023 11:16:07 +0100

iotas (0.2.5+ds-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 20 Oct 2023 12:28:35 +0200

iotas (0.2.4+ds-1) unstable; urgency=medium

  * New upstream version
  * d/patches: update for new upstream version
  * d/copyright: update for new upstream version.
    While at it, sort paragraphs in a more consistent way and properly
    credit translators as well (oopsie).
  * d/control: bump dependencies versions.
    Upstream now requires `libadwaita` v1.4+, let's reflect that in our
    package.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 03 Oct 2023 14:29:55 +0200

iotas (0.2.3+ds-1) unstable; urgency=medium

  * New upstream version
  * debian: update URLs with new upstream location.
    Iotas' upstream repo has been moved to the "World" group of GNOME's
    Gitlab, so update our URLs so we point to the right repo. Also, fix the
    `VCS-*` fields in `d/control` (copy/paste issue) to actually point to
    the actual location.
  * d/copyright: update exclusion list for new location.
    KaTeX files are no longer under `data/media/` but in their own subfolder
    of  `third-party`.
  * d/patches: drop upstreamed patch
  * d/patches: fix build with excluded KaTeX files

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 04 Sep 2023 13:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
                appstream-util,
                desktop-file-utils,
                dh-sequence-python3,
-               libadwaita-1-dev,
+               libadwaita-1-dev (>= 1.4~),
                libgirepository1.0-dev,
                libgtk-4-dev,
                meson,
                python3-all,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.gnome.org/cheywood/iotas
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/iotas
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/iotas.git
+Homepage: https://gitlab.gnome.org/World/iotas
+Vcs-Browser: https://salsa.debian.org/debian/iotas
+Vcs-Git: https://salsa.debian.org/debian/iotas.git
 
 Package: iotas
 Architecture: all
@@ -23,13 +23,13 @@
          ${python3:Depends},
          ${shlibs:Depends},
          fonts-katex,
-         gir1.2-adw-1 (>= 1.3~),
+         gir1.2-adw-1 (>= 1.4~),
          gir1.2-gtksource-5,
          gir1.2-secret-1,
          gir1.2-webkit-6.0,
          libjs-katex,
          python3-gi,
-         python3-gtkspellcheck,
+         python3-gtkspellcheck (>= 5.0~),
          python3-linkify-it,
          python3-markdown-it,
          python3-mdit-py-plugins,

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
https://gitlab.gnome.org/World/@PACKAGE@/-/tags?sort=updated_desc \
    .*/archive/\d\S+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## iotas 0.8.0+ds

=== requirements.txt ===
pygtkspellcheck
requests
markdown-it-py
linkify-it-py
mdit-py-plugins
pypandoc

=== debian/changelog ===
iotas (0.8.0+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: update build-dependencies for new upstream release.
    This version now requires `libadwaita` >= 1.5, so let's reflect that.
    Moreover, depend on `gobject-instrospection` instead of
    `libgirepository1.0-dev` as we don't actually need to link against the
    latter library.
    Also bump Standards-Version as no changes are needed.
  * d/copyright: update for new upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 10 Jul 2024 14:59:06 +0200

iotas (0.2.14+ds-1) unstable; urgency=medium

  * New upstream version
  * d/watch: update following breaking GitLab update

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 22 May 2024 10:08:09 +0200

iotas (0.2.13+ds-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 23 Apr 2024 17:13:53 +0200

iotas (0.2.12+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: add missing dependency
    Iotas require `pypandoc` since v0.2.9, let's add this dependency.
  * d/control: add missing gtksourceview-5 build-dependency.
    This has been added upstream.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 03 Apr 2024 13:02:14 +0200

iotas (0.2.11+ds-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 20 Mar 2024 18:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Arnaud Ferraris <aferraris@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util,
+               appstream,
                desktop-file-utils,
                dh-sequence-python3,
-               libadwaita-1-dev (>= 1.4~),
-               libgirepository1.0-dev,
+               gobject-introspection,
+               libadwaita-1-dev (>= 1.5~),
                libgtk-4-dev,
+               libgtksourceview-5-dev,
                meson,
                python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/World/iotas
 Vcs-Browser: https://salsa.debian.org/debian/iotas
@@ -23,7 +24,7 @@
          ${python3:Depends},
          ${shlibs:Depends},
          fonts-katex,
-         gir1.2-adw-1 (>= 1.4~),
+         gir1.2-adw-1 (>= 1.5~),
          gir1.2-gtksource-5,
          gir1.2-secret-1,
          gir1.2-webkit-6.0,
@@ -33,6 +34,7 @@
          python3-linkify-it,
          python3-markdown-it,
          python3-mdit-py-plugins,
+         python3-pypandoc,
          python3-requests,
 Description: Simple mobile-friendly note-taking application
  Iotas is a simple note-taking app with mobile-first design and a focus on

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack,searchmode=plain" \
https://gitlab.gnome.org/World/@PACKAGE@/tags?sort=updated_desc \
    -/archive/\d[\d.]+/@PACKAGE@@ANY_VERSION@\.tar\.(?:gz|bz2|xz)

## iotas 0.9.0

=== debian/changelog ===
iotas (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop obsolete patch.
    This change is now upstream.
  * debian: stop repacking upstream source.
    Upstream used to vendor KaTeX, which drove us to repack the original
    upstream source excluding those files, as we could just use the Debian
    package instead.
    This changed in the latest release though, so we can now avoid this
    extra step.
  * d/control: update build dependencies.
    Upstream changed the minimum version for GTK4 and libadwaita, let's
    reflect this.
  * d/patches: use built-in StrEnum.
    This avoids packaging an additional, obsolete dependency.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 19 Sep 2024 20:11:28 +0200

iotas (0.8.2+ds-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 26 Aug 2024 11:24:12 +0200

## iotas 0.9.4

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 linkify-it-py
 mdit-py-plugins
 pypandoc
+StrEnum
+packaging

=== debian/changelog ===
iotas (0.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 29 Oct 2024 21:53:03 +0100

iotas (0.9.3-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 21 Oct 2024 15:01:22 +0200

iotas (0.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 10 Oct 2024 11:11:20 +0200

iotas (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 28 Sep 2024 12:28:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                desktop-file-utils,
                dh-sequence-python3,
                gobject-introspection,
-               libadwaita-1-dev (>= 1.5~),
-               libgtk-4-dev,
+               libadwaita-1-dev (>= 1.6~),
+               libgtk-4-dev (>= 4.16~),
                libgtksourceview-5-dev,
                meson,
                python3-all,
@@ -24,7 +24,8 @@
          ${python3:Depends},
          ${shlibs:Depends},
          fonts-katex,
-         gir1.2-adw-1 (>= 1.5~),
+         gir1.2-adw-1 (>= 1.6~),
+         gir1.2-gtk-4.0 (>= 4.16~),
          gir1.2-gtksource-5,
          gir1.2-secret-1,
          gir1.2-webkit-6.0,
@@ -34,6 +35,7 @@
          python3-linkify-it,
          python3-markdown-it,
          python3-mdit-py-plugins,
+         python3-packaging,
          python3-pypandoc,
          python3-requests,
 Description: Simple mobile-friendly note-taking application

## iotas 0.9.5

=== debian/changelog ===
iotas (0.9.5-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 18 Nov 2024 12:34:35 +0100

## iotas 0.10.0

=== debian/changelog ===
iotas (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop deprecated patch.
    This change made it upstream.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Jan 2025 15:01:26 +0100

## iotas 0.10.1

=== debian/changelog ===
iotas (0.10.1-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update for new release

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 21 Feb 2025 11:46:15 +0100

## iotas 0.10.2

=== debian/changelog ===
iotas (0.10.2-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 03 Mar 2025 22:34:29 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-all,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.gnome.org/World/iotas
+Homepage: https://apps.gnome.org/Iotas/
 Vcs-Browser: https://salsa.debian.org/debian/iotas
 Vcs-Git: https://salsa.debian.org/debian/iotas.git
 
@@ -45,3 +45,5 @@
  It can be used offline, and optionally sync with Nextcloud when a connection
  is available. Iotas also provides advanced features such as basic search,
  categorization of notes, spell checking, Markdown editing and much more.
+ .
+ Iotas is a GNOME Circle app.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/World/@PACKAGE@/tags?sort=updated_desc \
    -/archive/\d[\d.]+/@PACKAGE@@ANY_VERSION@\.tar\.(?:gz|bz2|xz)

## iotas 0.10.3

=== debian/changelog ===
iotas (0.10.3-1) unstable; urgency=medium

  * New upstream version
  * d/control: bump Standards-Version, no change needed

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 21 Mar 2025 12:09:02 +0100

## iotas 0.11.0

=== debian/changelog ===
iotas (0.11.0-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 29 Mar 2025 10:08:44 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libgtksourceview-5-dev,
                meson,
                python3-all,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.gnome.org/Iotas/
 Vcs-Browser: https://salsa.debian.org/debian/iotas

## iotas 0.11.2

=== debian/changelog ===
iotas (0.11.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: update build dependencies.
    Upstream now requires a recent libadwaita and added unit tests relying
    on `python3-pytest`, so let's acknowledge those changes and add Python
    dependencies needed for the unit tests.
    While at it, drop `Rules-Requires-Root: no` as it's no longer needed.
  * d/patches: fix unit tests at build time.
    When building the package on a system where it isn't installed, we need
    to explicitly include the path to the vendored/modified Python modules
    in `PYTHONPATH`, otherwise tests will fail.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Aug 2025 11:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,18 @@
                desktop-file-utils,
                dh-sequence-python3,
                gobject-introspection,
-               libadwaita-1-dev (>= 1.6~),
+               libadwaita-1-dev (>= 1.7~),
                libgtk-4-dev (>= 4.16~),
                libgtksourceview-5-dev,
                meson,
                python3-all,
+# Needed for automated tests
+               python3-gi <!nocheck>,
+               python3-markdown-it <!nocheck>,
+               python3-mdit-py-plugins <!nocheck>,
+               python3-pypandoc <!nocheck>,
+               python3-pytest <!nocheck>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://apps.gnome.org/Iotas/
 Vcs-Browser: https://salsa.debian.org/debian/iotas
 Vcs-Git: https://salsa.debian.org/debian/iotas.git

## iotas 0.11.5

=== debian/changelog ===
iotas (0.11.5-1) unstable; urgency=medium

  * New upstream version
  * d/watch: update to version 5
  * d/patches: drop upstreamed patch
  * d/control: add missing unit test dependencies.
    New unit tests were added for modules needing `python3-requests` and
    WebKit GObject introspection data, so let's pull those at build time as
    well.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 30 Sep 2025 10:59:46 +0200

## iotas 0.12.1

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,4 @@
 linkify-it-py
 mdit-py-plugins
 pypandoc
-StrEnum
 packaging

=== debian/changelog ===
iotas (0.12.1-1) unstable; urgency=medium

  * New upstream version
  * d/copytight: drop no longer relevant paragraph.
    The corresponding files have been removed from upstream source.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 07 Oct 2025 09:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,13 @@
                meson,
                python3-all,
 # Needed for automated tests
+               gir1.2-webkit-6.0 <!nocheck>,
                python3-gi <!nocheck>,
                python3-markdown-it <!nocheck>,
                python3-mdit-py-plugins <!nocheck>,
                python3-pypandoc <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-requests <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://apps.gnome.org/Iotas/
 Vcs-Browser: https://salsa.debian.org/debian/iotas

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.gnome.org/World/iotas

## iotas 0.12.4

=== debian/changelog ===
iotas (0.12.4-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: fix (L)GPL license texts.
    The GPL paragraph referred to the old FSF postal address, and the LGPL
    one mentioned the "General Public License" (missing "Lesser").

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 08 Nov 2025 16:24:12 +0100

## iotas 0.12.5

=== debian/changelog ===
iotas (0.12.5-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 15 Dec 2025 11:19:20 +0100

## iotas 0.12.6

=== debian/changelog ===
iotas (0.12.6-1) unstable; urgency=medium

  * New upstream version
  * d/control: drop now-unneeded Priority field.
    This is the default since Debian policy 4.7.3, so remove this field and
    bump Standards-Version accordingly.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 16 Jan 2026 10:14:38 +0100

## iotas 0.12.7

=== debian/changelog ===
iotas (0.12.7-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 25 Jan 2026 12:43:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: iotas
 Section: gnome
-Priority: optional
 Maintainer: Arnaud Ferraris <aferraris@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream,
@@ -20,7 +19,7 @@
                python3-pypandoc <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://apps.gnome.org/Iotas/
 Vcs-Browser: https://salsa.debian.org/debian/iotas
 Vcs-Git: https://salsa.debian.org/debian/iotas.git
